# std::once_flag Struct Reference
[Mutexes]

once_flag More...

List of all members.

## Public Member Functions

- once_flag (const once_flag &)
- once_flag & operator= (const once_flag &)

## Friends

- template<typename _Callable , typename... _Args> void call_once (once_flag &__once, _Callable __f, _Args &&...__args)

## Detailed Description

once_flag

Definition at line 676 of file mutex.

## Friends And Related Function Documentation

template<typename _Callable , typename... _Args>

void call_once | ( | once_flag & | __once,
|  | _Callable | __f,
|  | _Args &&... | __args |
| ) |  |  | `[friend]`

call_once

Definition at line 722 of file mutex.

The documentation for this struct was generated from the following file:

- mutex